Subject: Re: [X2Go-Dev] Bug#377: init scripts
From: Mike Gabriel <[email-masked]>
To: Jan Engelhardt <[email-masked]>, [email-masked]
Date: Sat, 21 Dec 2013 21:09:32 +0000

Control: close -1

Hi Jan,

On  Di 17 Dez 2013 19:10:20 CET, Jan Engelhardt wrote:

> I seem to remember that start-stop-daemon might have been part of LSB,
> but then again, maybe not? (In the current openSUSE release with
> systemd, start-stop-daemon is part of the dpkg package.)
>
> So the following are the init scripts currently running here. They lack
> in quality, are dirt hacks, and only do the one thing they were tested
> for. There is a lack of quoting all over the place.

I have included two init scripts [1, 2] in X2Go Session Broker now  
that work on RHEL derived distros.

The script use the daemon function from /etc/init.d/functions.

Because of the limitation of the daemon function not being able to  
fork a process to background, I had to implement the "--daemonize"  
command line option in x2gobroker [3] and x2gobroker-authservice [4].  
Now, both Python executables can fork themselves to background.

Also, I split up x2gobroker-agent from x2gobroker (and also sub  
packaged x2gobroker-daemon, x2gobroker-wsgi and python-x2gobroker). I  
recommend doing the same on OpenSuSE. Find my x2gobroker.spec shipped  
in upstream x2gobroker.git [5].

Thanks,
Mike

[1] http://code.x2go.org/gitweb?p=x2gobroker.git;a=blob;f=rpm/x2gobroker.init
[2]  
http://code.x2go.org/gitweb?p=x2gobroker.git;a=blob;f=rpm/x2gobroker-authservice.init
[3]  
http://code.x2go.org/gitweb?p=x2gobroker.git;a=blob;f=man/man1/x2gobroker.1#l75
[4]  
http://code.x2go.org/gitweb?p=x2gobroker.git;a=blob;f=man/man8/x2gobroker-authservice.8#l41
[5] http://code.x2go.org/gitweb?p=x2gobroker.git;a=blob;f=x2gobroker.spec
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb